# NOTE: there are also TTF fonts in tarball
Summary:	Adobe Source Code Pro - A set of OpenType fonts for coders
Summary(pl.UTF-8):	Adobe Source Code Pro - zbiór fontów OpenType dla programistów
Name:		fonts-OTF-Adobe-SourceCodePro
Version:	1.017
Release:	1
License:	OFL v1.1
Group:		Fonts
Source0:	http://downloads.sourceforge.net/sourcecodepro.adobe/SourceCodePro_FontsOnly-%{version}.zip
# Source0-md5:	e59ce4be04d44c22e380865142bad0e3
Source1:	%{name}-fontconfig.conf
URL:		http://sourceforge.net/projects/sourcecodepro.adobe/
BuildRequires:	unzip
Requires(post,postun):	fontpostinst
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         otffontsdir     %{_fontsdir}/OTF

%description
Source Sans is a set of monospaced OpenType fonts that have been
designed to work well coding environments.

%description -l pl.UTF-8
Source Sans to zbiór fontów OpenType o stałej szerokości znaku,
zaprojektowany z myślą o środowiskach programistycznych.

%prep
%setup -q -n SourceCodePro_FontsOnly-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{otffontsdir},%{_datadir}/fontconfig/conf.avail,%{_sysconfdir}/fonts/conf.d}

install -p OTF/*.otf $RPM_BUILD_ROOT%{otffontsdir}
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/%{name}.conf
ln -s %{_datadir}/fontconfig/conf.avail/%{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst OTF

%postun
fontpostinst OTF

%files
%defattr(644,root,root,755)
%doc LICENSE.txt ReadMe.html SourceCodeProReadMe.html
%{otffontsdir}/SourceCodePro-*.otf
%{_sysconfdir}/fonts/conf.d/%{name}.conf
%{_datadir}/fontconfig/conf.avail/%{name}.conf
%changelog
* Sun Mar 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-OTF-Adobe-SourceCodePro.git;a=log;h=master

* Sun Mar 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d63f607
- up to 1.017

* Sun Dec 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e82e735
- up to 1.013

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 46a14f3
- pl
- package docs

* Fri Oct 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 944f7c9
- up to 1.010

* Sat Oct 06 2012 Elan Ruusamäe <glen@delfi.ee> 88e04c4
- release 2 (by relup.sh)

* Wed Sep 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8283d6d
- new from adobe

